org.hibernate.validator.internal.xml

## Class XmlMappingParser

- java.lang.Object
- - org.hibernate.validator.internal.xml.XmlMappingParser

-     public class XmlMappingParser
      extends Object

  XML parser for validation-mapping files.
  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlMappingParser(ConstraintHelper constraintHelper, ParameterNameProvider parameterNameProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationProcessingOptions` | `getAnnotationProcessingOptions()`
    `Set<ConstrainedElement>` | `getConstrainedElementsForClass(Class<?> beanClass)`
    `List<Class<?>>` | `getDefaultSequenceForClass(Class<?> beanClass)`
    `Set<Class<?>>` | `getXmlConfiguredClasses()`
    `void` | `parse(Set<InputStream> mappingStreams)` Parses the given set of input stream representing XML constraint mappings.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlMappingParser

          public XmlMappingParser(ConstraintHelper constraintHelper,
                          ParameterNameProvider parameterNameProvider)

  - ### Method Detail

    - #### parse

          public final void parse(Set<InputStream> mappingStreams)

      Parses the given set of input stream representing XML constraint mappings.
      Parameters:
        `mappingStreams` - The streams to parse. Must support the mark/reset contract.

    - #### getXmlConfiguredClasses

          public final Set<Class<?>> getXmlConfiguredClasses()

    - #### getAnnotationProcessingOptions

          public final AnnotationProcessingOptions getAnnotationProcessingOptions()

    - #### getConstrainedElementsForClass

          public final Set<ConstrainedElement> getConstrainedElementsForClass(Class<?> beanClass)

    - #### getDefaultSequenceForClass

          public final List<Class<?>> getDefaultSequenceForClass(Class<?> beanClass)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved